/**
 * function to validate add matiere
 *
 * @param {*} nom
 * @param {*} error
 * @param {*} arrayMatiere
 * @returns Boolean
 */
const validationMatiereAdd = (nom, error, arrayMatiere, creditRef) => {
  let isValid = true

  if (nom.value === '' || creditRef.value === null || creditRef.value === '') {
    error.textContent = 'les champs sont requis pour soumettre la formulaire'
    isValid = false
  } else if (arrayMatiere.includes(nom.value) === true) {
    error.textContent = `${nom.value} existe déjà`
    isValid = false
  } else {
    error.textContent = ''
  }

  return isValid
}

export default validationMatiereAdd
